Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class VisualMediaHandler

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.VisualMediaHandler

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  FlashMediaHandler, SpriteMediaHandler, TextMediaHandler, ThreeDMediaHandler, TimeCoder, VideoMediaHandler

public class VisualMediaHandler
extends MediaHandler
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`GraphicsMode` | `getGraphicsMode()` Obtain the transfer mode and blend or transparent color values.
`boolean` | `getTrackOpaque()` Determine whether the visual media of the track has opaque drawing settings in its presentation.
`int` | `hitTestForTargetRefCon(int flags, QDPoint loc)` You can use to hit test a flash, sprite, text and 3D track and get a refCon for a button or symbol that was hit.
`boolean` | `hitTestTargetRefCon(int targetRefCon, int flags, QDPoint loc)` You can use to hit test a flash, sprite, text and 3D track for a given button or symbol.
`void` | `setGraphicsMode(GraphicsMode graphicsMode)` Allows you to set the graphics mode and blend color of the video media handler.

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### setGraphicsMode

    public final void setGraphicsMode(GraphicsMode graphicsMode)
                               throws StdQTException

  Allows you to set the graphics mode and blend color of the video media handler.
  QuickTime::MediaSetGraphicsMode

  Parameters:
    `graphicsMode` - the graphics mode.

### getGraphicsMode

    public final GraphicsMode getGraphicsMode()
                                       throws StdQTException

  Obtain the transfer mode and blend or transparent color values.
  QuickTime::MediaGetGraphicsMode
  currently used by the video media handler.
  Returns:
    the blend or transparent color

### getTrackOpaque

    public final boolean getTrackOpaque()
                                 throws StdQTException

  Determine whether the visual media of the track has opaque drawing settings in its presentation.
  QuickTime::MediaGetTrackOpaque

  Returns:
    true if some part of the track's media is opaque.

### hitTestForTargetRefCon

    public final int hitTestForTargetRefCon(int flags,
                                            QDPoint loc)
                                     throws StdQTException

  You can use to hit test a flash, sprite, text and 3D track and get a refCon for a button or symbol that was hit.
  QuickTime::MediaHitTestForTargetRefCon

  Returns:
    the target RefCon at the specified point

### hitTestTargetRefCon

    public final boolean hitTestTargetRefCon(int targetRefCon,
                                             int flags,
                                             QDPoint loc)
                                      throws StdQTException

  You can use to hit test a flash, sprite, text and 3D track for a given button or symbol.
  QuickTime::MediaHitTestTargetRefCon

  Returns:
    true if some part of the target RefCon is hit.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD